---
title: "更新店铺翻译语料"
description: >
  更新店铺的翻译语料。你可以使用该接口基于指定市场 ID（market）、语言（locale）、资源 ID（resource_id）、资源类型（resource_type）对应的翻译语料内容（resource_content） 和资源对应的类型细分（resource_field） 进行更新。
doc_type: openapi
doc_category: openapi
doc_version: v20260901
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/localizations/update-store-translation-data'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/localizations/update-store-translation-data.md'
---
# 更新店铺翻译语料

更新店铺的翻译语料。你可以使用该接口基于指定市场 ID（market）、语言（locale）、资源 ID（resource_id）、资源类型（resource_type）对应的翻译语料内容（resource_content） 和资源对应的类型细分（resource_field） 进行更新。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_translation`
- **API Version:** v20260901
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /ugc/resource.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_translation`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `resource_list`

  array<object>

  待更新的资源对象列表。<br></br>最大个数限制：200。

  * `content_list`

    array<object>

    资源对应的翻译语料列表。<br></br>最大个数限制：100。

    * `resource_content`

      string

      资源对应的翻译语料内容。

    * `resource_field`

      string

      `resource_content` 所关联的资源属性。例如，当 `resource_type` 为 `PRODUCT` 且 `resource_field` 为 `title` 时，`resource_content` 为商品标题。该字段枚举值范围取决于 `resource_type`。`resource_field` 与 `resource_type` 的枚举值及对应关系参考 [resource_type 和 resource_field](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md)。

  * `locale`

    string

    [市场](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management) 里面使用的语言。

  * `market`

    string

    商店的主要市场。

  * `resource_id`

    string

    资源对象 ID。 <br></br>样例：当 `resource_type` 为 `PRODUCT`，代表商品 ID。

  * `resource_type`

    string

    资源的类型。有效枚举值包含：
    - `COLLECTION`：商品分类
    - `PRODUCT`：商品
    - `PRODUCT_Category`：商品标准类型
    - `PRODUCT_OPTION`：商品规格
    - `PRODUCT_VARIANT`：商品款式
    - `SELLING_PLAN`：销售计划
    - `FILTER`：选项
    - `FILTER_GROUP`：选项组
    - `FILTER_VALUE`：选项值
    - `SORT`：排序
    - `DELIVERY_METHOD`：物流方式
    - `PAYMENT_METHOD`：支付方式
    - `TAXES`：税费
    - `SETTLE_CONFIG`：结账配置
    - `SETTLE_ADDITIONAL_INFO`：结账配置附加信息
    - `WEBSITE_BLOG`：博客
    - `WEBSITE_BLOG_COLLECTION`：博客集合
    - `WEBSITE_CUSTOMIZE_PAGE`：自定义页面
    - `WEBSITE_NAVIGATION`：菜单导航
    - `WEBSITE_POLICY_PAGE`：政策
    - `LINK`：菜单项
    - `METAFIELD`：元字段

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `data`

  object

  响应结果。

  * `fail_list`

    array<object>

    商店语料数据的更新失败列表。

    * `market`

      string

      商店的主要市场。

    * `resource_content`

      string

      资源对应的翻译语料内容。

    * `resource_field`

      string

      `resource_content` 所关联的资源属性。例如，当 `resource_type` 为 `PRODUCT` 且 `resource_field` 为 `title` 时，`resource_content` 为商品标题。该字段枚举值范围取决于 `resource_type`。`resource_field` 与 `resource_type` 的枚举值及对应关系参考 [resource_type 和 resource_field](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md)。

    * `resource_id`

      string

      资源对象 ID。 <br></br>样例：当 `resource_type` 为 `PRODUCT`，代表商品 ID。

    * `resource_type`

      string

      资源的类型。有效枚举值包含：
      - `COLLECTION`：商品分类
      - `PRODUCT`：商品
      - `PRODUCT_Category`：商品标准类型
      - `PRODUCT_OPTION`：商品规格
      - `PRODUCT_VARIANT`：商品款式
      - `SELLING_PLAN`：销售计划
      - `FILTER`：选项
      - `FILTER_GROUP`：选项组
      - `FILTER_VALUE`：选项值
      - `SORT`：排序
      - `DELIVERY_METHOD`：物流方式
      - `PAYMENT_METHOD`：支付方式
      - `TAXES`：税费
      - `SETTLE_CONFIG`：结账配置
      - `SETTLE_ADDITIONAL_INFO`：结账配置附加信息
      - `WEBSITE_BLOG`：博客
      - `WEBSITE_BLOG_COLLECTION`：博客集合
      - `WEBSITE_CUSTOMIZE_PAGE`：自定义页面
      - `WEBSITE_NAVIGATION`：菜单导航
      - `WEBSITE_POLICY_PAGE`：政策
      - `LINK`：菜单项
      - `METAFIELD`：元字段

    * `fail_cause`

      string

      更新失败原因。

    * `locale`

      string

      [市场](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management) 里面使用的语言。

  * `resource_list`

    array<object>

    更新的资源集合列表。

    * `resource_type`

      string

      资源的类型。有效枚举值包含：
      - `COLLECTION`：商品分类
      - `PRODUCT`：商品
      - `PRODUCT_Category`：商品标准类型
      - `PRODUCT_OPTION`：商品规格
      - `PRODUCT_VARIANT`：商品款式
      - `SELLING_PLAN`：销售计划
      - `FILTER`：选项
      - `FILTER_GROUP`：选项组
      - `FILTER_VALUE`：选项值
      - `SORT`：排序
      - `DELIVERY_METHOD`：物流方式
      - `PAYMENT_METHOD`：支付方式
      - `TAXES`：税费
      - `SETTLE_CONFIG`：结账配置
      - `SETTLE_ADDITIONAL_INFO`：结账配置附加信息
      - `WEBSITE_BLOG`：博客
      - `WEBSITE_BLOG_COLLECTION`：博客集合
      - `WEBSITE_CUSTOMIZE_PAGE`：自定义页面
      - `WEBSITE_NAVIGATION`：菜单导航
      - `WEBSITE_POLICY_PAGE`：政策
      - `LINK`：菜单项
      - `METAFIELD`：元字段

    * `updated_at`

      string

      语料更新时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `locale`

      string

      [市场](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management) 里面使用的语言。

    * `market`

      string

      商店的主要市场。

    * `outdated`

      boolean

      查询过时或最新的翻译数据。如果原始内容已更新但翻译尚未更新，则翻译将被标记为“过时”。
      - `true`: 查询过时的翻译数据。
      - `false`: 查询最新的翻译数据。

    * `resource_content`

      string

      资源对应的翻译语料内容。

    * `resource_field`

      string

      `resource_content` 所关联的资源属性。例如，当 `resource_type` 为 `PRODUCT` 且 `resource_field` 为 `title` 时，`resource_content` 为商品标题。该字段枚举值范围取决于 `resource_type`。`resource_field` 与 `resource_type` 的枚举值及对应关系参考 [resource_type 和 resource_field](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md)。

    * `resource_id`

      string

      资源对象 ID。 <br></br>样例：当 `resource_type` 为 `PRODUCT`，代表商品 ID。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "更新店铺翻译语料"
  ],
  "description": "更新店铺的翻译语料。你可以使用该接口基于指定市场 ID（market）、语言（locale）、资源 ID（resource_id）、资源类型（resource_type）对应的翻译语料内容（resource_content） 和资源对应的类型细分（resource_field） 进行更新。",
  "externalDocs": {
    "description": "接口使用的权限点: `write_translation` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "Px0AyUPV",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body位置参数",
          "type": "object",
          "properties": {
            "resource_list": {
              "name": "resource_list",
              "description": "待更新的资源对象列表。<br></br>最大个数限制：200。",
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "content_list": {
                    "name": "content_list",
                    "description": "资源对应的翻译语料列表。<br></br>最大个数限制：100。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "resource_content": {
                          "name": "resource_content",
                          "description": "资源对应的翻译语料内容。",
                          "type": "string",
                          "example": "The content of the key to the key of the cot"
                        },
                        "resource_field": {
                          "name": "resource_field",
                          "description": "`resource_content` 所关联的资源属性。例如，当 `resource_type` 为 `PRODUCT` 且 `resource_field` 为 `title` 时，`resource_content` 为商品标题。该字段枚举值范围取决于 `resource_type`。`resource_field` 与 `resource_type` 的枚举值及对应关系参考 [resource_type 和 resource_field](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md)。",
                          "type": "string",
                          "example": "title"
                        }
                      },
                      "required": [
                        "resource_content",
                        "resource_field"
                      ],
                      "example": {
                        "resource_content": "The content of the key to the key of the cot",
                        "resource_field": "title"
                      }
                    },
                    "example": [
                      {}
                    ]
                  },
                  "locale": {
                    "name": "locale",
                    "description": "[市场](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management) 里面使用的语言。",
                    "type": "string",
                    "example": "en"
                  },
                  "market": {
                    "name": "market",
                    "description": "商店的主要市场。",
                    "type": "string",
                    "example": "2805652120189036673434"
                  },
                  "resource_id": {
                    "name": "resource_id",
                    "description": "资源对象 ID。 <br></br>样例：当 `resource_type` 为 `PRODUCT`，代表商品 ID。",
                    "type": "string",
                    "example": "16065157700911371584482600"
                  },
                  "resource_type": {
                    "name": "resource_type",
                    "description": "资源的类型。有效枚举值包含：\n- `COLLECTION`：商品分类\n- `PRODUCT`：商品\n- `PRODUCT_Category`：商品标准类型\n- `PRODUCT_OPTION`：商品规格\n- `PRODUCT_VARIANT`：商品款式\n- `SELLING_PLAN`：销售计划\n- `FILTER`：选项\n- `FILTER_GROUP`：选项组\n- `FILTER_VALUE`：选项值\n- `SORT`：排序\n- `DELIVERY_METHOD`：物流方式\n- `PAYMENT_METHOD`：支付方式\n- `TAXES`：税费\n- `SETTLE_CONFIG`：结账配置\n- `SETTLE_ADDITIONAL_INFO`：结账配置附加信息\n- `WEBSITE_BLOG`：博客\n- `WEBSITE_BLOG_COLLECTION`：博客集合\n- `WEBSITE_CUSTOMIZE_PAGE`：自定义页面\n- `WEBSITE_NAVIGATION`：菜单导航\n- `WEBSITE_POLICY_PAGE`：政策\n- `LINK`：菜单项\n- `METAFIELD`：元字段",
                    "type": "string",
                    "example": "COLLECTION"
                  }
                },
                "required": [
                  "resource_id",
                  "content_list",
                  "locale",
                  "resource_type"
                ],
                "example": {
                  "content_list": [
                    {}
                  ],
                  "locale": "en",
                  "market": "2805652120189036673434",
                  "resource_id": "16065157700911371584482600",
                  "resource_type": "COLLECTION"
                }
              },
              "example": [
                {}
              ]
            }
          },
          "required": [
            "resource_list"
          ],
          "example": {
            "resource_list": [
              {}
            ]
          }
        },
        "examples": {
          "更新特定市场英文语种下的某一商品标题语料": {
            "description": "更新特定市场英文语种下的某一商品标题语料。",
            "value": {
              "resource_list": [
                {
                  "content_list": [
                    {
                      "resource_content": "test content1",
                      "resource_field": "title"
                    }
                  ],
                  "locale": "en",
                  "market": "2805979406510623080534",
                  "resource_id": "16067911850440298506251820",
                  "resource_type": "PRODUCT"
                },
                {
                  "market": "2805979406510623080535",
                  "resource_id": "16067911850440298506251820",
                  "resource_type": "PRODUCT",
                  "content_list": [
                    {
                      "resource_field": "title",
                      "resource_content": "test content2"
                    }
                  ],
                  "locale": "en"
                }
              ]
            }
          },
          "更新默认市场英文语种下的某一商品标题语料": {
            "description": "更新默认市场英文语种下的某一商品标题语料。",
            "value": {
              "resource_list": [
                {
                  "content_list": [
                    {
                      "resource_content": "test content1",
                      "resource_field": "title"
                    }
                  ],
                  "locale": "en",
                  "resource_id": "16067911850440298506251820",
                  "resource_type": "PRODUCT"
                },
                {
                  "resource_type": "PRODUCT",
                  "content_list": [
                    {
                      "resource_content": "test content2",
                      "resource_field": "title"
                    }
                  ],
                  "locale": "en",
                  "resource_id": "16067911850440298506251823"
                }
              ]
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "响应结果。",
                "type": "object",
                "properties": {
                  "fail_list": {
                    "name": "fail_list",
                    "description": "商店语料数据的更新失败列表。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "market": {
                          "name": "market",
                          "description": "商店的主要市场。",
                          "type": "string",
                          "example": "2805652120189036673434"
                        },
                        "resource_content": {
                          "name": "resource_content",
                          "description": "资源对应的翻译语料内容。",
                          "type": "string",
                          "example": "The content of the key to the key of the cot"
                        },
                        "resource_field": {
                          "name": "resource_field",
                          "description": "`resource_content` 所关联的资源属性。例如，当 `resource_type` 为 `PRODUCT` 且 `resource_field` 为 `title` 时，`resource_content` 为商品标题。该字段枚举值范围取决于 `resource_type`。`resource_field` 与 `resource_type` 的枚举值及对应关系参考 [resource_type 和 resource_field](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md)。",
                          "type": "string",
                          "example": "title"
                        },
                        "resource_id": {
                          "name": "resource_id",
                          "description": "资源对象 ID。 <br></br>样例：当 `resource_type` 为 `PRODUCT`，代表商品 ID。",
                          "type": "string"
                        },
                        "resource_type": {
                          "name": "resource_type",
                          "description": "资源的类型。有效枚举值包含：\n- `COLLECTION`：商品分类\n- `PRODUCT`：商品\n- `PRODUCT_Category`：商品标准类型\n- `PRODUCT_OPTION`：商品规格\n- `PRODUCT_VARIANT`：商品款式\n- `SELLING_PLAN`：销售计划\n- `FILTER`：选项\n- `FILTER_GROUP`：选项组\n- `FILTER_VALUE`：选项值\n- `SORT`：排序\n- `DELIVERY_METHOD`：物流方式\n- `PAYMENT_METHOD`：支付方式\n- `TAXES`：税费\n- `SETTLE_CONFIG`：结账配置\n- `SETTLE_ADDITIONAL_INFO`：结账配置附加信息\n- `WEBSITE_BLOG`：博客\n- `WEBSITE_BLOG_COLLECTION`：博客集合\n- `WEBSITE_CUSTOMIZE_PAGE`：自定义页面\n- `WEBSITE_NAVIGATION`：菜单导航\n- `WEBSITE_POLICY_PAGE`：政策\n- `LINK`：菜单项\n- `METAFIELD`：元字段",
                          "type": "string",
                          "example": "COLLECTION"
                        },
                        "fail_cause": {
                          "name": "fail_cause",
                          "description": "更新失败原因。",
                          "type": "string",
                          "example": "VERIFY_RESOURCE_FAIL"
                        },
                        "locale": {
                          "name": "locale",
                          "description": "[市场](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management) 里面使用的语言。",
                          "type": "string",
                          "example": "en"
                        }
                      },
                      "example": {
                        "fail_cause": "VERIFY_RESOURCE_FAIL",
                        "locale": "en",
                        "market": "2805652120189036673434",
                        "resource_content": "The content of the key to the key of the cot",
                        "resource_field": "title",
                        "resource_id": null,
                        "resource_type": "COLLECTION"
                      }
                    }
                  },
                  "resource_list": {
                    "name": "resource_list",
                    "description": "更新的资源集合列表。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "resource_type": {
                          "name": "resource_type",
                          "description": "资源的类型。有效枚举值包含：\n- `COLLECTION`：商品分类\n- `PRODUCT`：商品\n- `PRODUCT_Category`：商品标准类型\n- `PRODUCT_OPTION`：商品规格\n- `PRODUCT_VARIANT`：商品款式\n- `SELLING_PLAN`：销售计划\n- `FILTER`：选项\n- `FILTER_GROUP`：选项组\n- `FILTER_VALUE`：选项值\n- `SORT`：排序\n- `DELIVERY_METHOD`：物流方式\n- `PAYMENT_METHOD`：支付方式\n- `TAXES`：税费\n- `SETTLE_CONFIG`：结账配置\n- `SETTLE_ADDITIONAL_INFO`：结账配置附加信息\n- `WEBSITE_BLOG`：博客\n- `WEBSITE_BLOG_COLLECTION`：博客集合\n- `WEBSITE_CUSTOMIZE_PAGE`：自定义页面\n- `WEBSITE_NAVIGATION`：菜单导航\n- `WEBSITE_POLICY_PAGE`：政策\n- `LINK`：菜单项\n- `METAFIELD`：元字段",
                          "type": "string",
                          "example": "COLLECTION"
                        },
                        "updated_at": {
                          "name": "updated_at",
                          "description": "语料更新时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                          "type": "string",
                          "example": "2023-09-07T15:50:00Z"
                        },
                        "locale": {
                          "name": "locale",
                          "description": "[市场](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management) 里面使用的语言。",
                          "type": "string",
                          "example": "en"
                        },
                        "market": {
                          "name": "market",
                          "description": "商店的主要市场。",
                          "type": "string",
                          "example": "2805652120189036673434"
                        },
                        "outdated": {
                          "name": "outdated",
                          "description": "查询过时或最新的翻译数据。如果原始内容已更新但翻译尚未更新，则翻译将被标记为“过时”。\n- `true`: 查询过时的翻译数据。\n- `false`: 查询最新的翻译数据。",
                          "type": "boolean",
                          "example": false
                        },
                        "resource_content": {
                          "name": "resource_content",
                          "description": "资源对应的翻译语料内容。",
                          "type": "string",
                          "example": "The content of the key to the key of the cot"
                        },
                        "resource_field": {
                          "name": "resource_field",
                          "description": "`resource_content` 所关联的资源属性。例如，当 `resource_type` 为 `PRODUCT` 且 `resource_field` 为 `title` 时，`resource_content` 为商品标题。该字段枚举值范围取决于 `resource_type`。`resource_field` 与 `resource_type` 的枚举值及对应关系参考 [resource_type 和 resource_field](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md)。",
                          "type": "string",
                          "example": "title"
                        },
                        "resource_id": {
                          "name": "resource_id",
                          "description": "资源对象 ID。 <br></br>样例：当 `resource_type` 为 `PRODUCT`，代表商品 ID。",
                          "type": "string"
                        }
                      },
                      "example": {
                        "resource_id": null,
                        "resource_type": "COLLECTION",
                        "updated_at": "2023-09-07T15:50:00Z",
                        "locale": "en",
                        "market": "2805652120189036673434",
                        "outdated": false,
                        "resource_content": "The content of the key to the key of the cot",
                        "resource_field": "title"
                      }
                    }
                  }
                },
                "example": {
                  "fail_list": null,
                  "resource_list": null
                }
              }
            },
            "example": {
              "data": {
                "fail_list": null,
                "resource_list": null
              }
            }
          },
          "examples": {
            "更新特定市场英文语种下的某一商品标题语料": {
              "description": "更新特定市场英文语种下的某一商品标题语料。",
              "value": {
                "data": {
                  "fail_list": [
                    {
                      "locale": "en",
                      "market": "2805979406510623080535",
                      "resource_content": "test content2",
                      "resource_field": "title",
                      "resource_id": "16067911850440298506251820",
                      "resource_type": "PRODUCT",
                      "fail_cause": "MARKET_NOT_EXIST"
                    }
                  ],
                  "resource_list": [
                    {
                      "locale": "en",
                      "market": "2805979406510623080534",
                      "outdated": false,
                      "resourceContent": "test content1",
                      "resourceField": "title",
                      "resourceId": "16067911850440298506251820",
                      "resourceType": "PRODUCT",
                      "updatedAt": "2025-01-04T07:01:18Z"
                    }
                  ]
                }
              }
            },
            "更新默认市场英文语种下的某一商品标题语料": {
              "description": "更新默认市场英文语种下的某一商品标题语料。",
              "value": {
                "data": {
                  "fail_list": [
                    {
                      "resource_id": "16067911850440298506251823",
                      "resource_type": "PRODUCT",
                      "fail_cause": "DEFAULT_RESOURCE_NOT_EXIST",
                      "locale": "en",
                      "market": "2805979406510623080535",
                      "resource_content": "test content2",
                      "resource_field": "title"
                    }
                  ],
                  "resource_list": [
                    {
                      "outdated": false,
                      "resourceContent": "test content1",
                      "resourceField": "title",
                      "resourceId": "16067911850440298506251820",
                      "resourceType": "PRODUCT",
                      "updatedAt": "2025-01-04T07:01:18Z",
                      "locale": "en",
                      "market": "2805979406510623080534"
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "put",
  "path": "/ugc/resource.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "更新店铺翻译语料",
    "version": "v20260901"
  },
  "authIndexes": [
    "write_translation"
  ]
}
```